/*------------------------------------------------------------------*/
/*                       Sankey graph styles                        */
/*------------------------------------------------------------------*/

:root {
  --color-release: var(--color-purple-light);
  --color-draft: var(--color-orange);
  --color-proposal: var(--color-mint);
  --color-link: var(--color-gray);

  --link-active: 70%;
  --link-inactive: 25%;

  --node-active: 100%;
  --node-dependency: 70%;
  --node-dependant: 70%;
  --node-inactive: 25%;
}

#rfc-tree-content {
  min-height: 6em;
}

.rfc-button {
  background: none;
  border: none;
  color: var(--color-orange);
  padding: 0;
}

.rfc-button:hover {
  text-decoration: underline;
  cursor: pointer;
}

/* Search filter */

.filter-bar {
  display: flex;
  flex-direction: column;
}

.filter-bar .filter-content {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.filter-bar .filter-single {
  margin-bottom: 40px;
  display: flex;
  align-items: center;
  line-height: 1em;
}

.filter-bar .filter-select2 {
  display: flex;
  height: 40px;
  width: 100%;
}

.filter-bar .filter-select2 select {
  width: 100%;
  height: 40px;
}

.filter-bar .text-value {
  margin-top: 10px;
  margin-bottom: 10px;
}

.filter-bar .filter-reset {
  width: 100%;
  height: 40px;
}

@media (min-width: 768px) {
  .filter-bar {
    flex-direction: row;
    align-items: center;
  }

  .filter-bar .filter-content {
    flex-direction: row;
  }

  .filter-bar .filter-single {
    margin-bottom: 0;
    margin-right: 10px;
    margin-top: 5px;
  }

  .filter-bar .filter-select2 {
    width: unset;
  }

  .filter-bar .filter-select2 select {
    width: 20em;
  }

  .filter-bar .text-value {
    margin-top: 0;
    margin-bottom: 0;
    margin-left: 10px;
    margin-right: 10px;
  }

  .filter-bar .filter-reset {
    width: 8em;
  }
}

#rfc-tree-filter {
  position: relative;
}

#rfc-spinner {
  position: absolute;
  z-index: 100;
  width: 100%;
  background-color: var(--color-white);
}

.filter-bar input {
  border-radius: var(--border-radius);
}

.filter-bar #rfc-tree-state-select {
  border: none;
}

.filter-bar #rfc-tree-state-select option {
  display: none;
}

.filter-bar .select2-selection {
  min-height: 100% !important;
  max-height: 100% !important;
  height: 100% !important;
  border-radius: var(--border-radius);
  border: 1px solid #e5e5e5; /* Color following UI-Kit */
  display: flex;
  align-items: center;
  padding: 0;
}

.filter-bar .select2-selection:focus-within {
  border: 1px solid #1e87f0; /* Color following UI-Kit */
}

.filter-bar .select2-search--inline {
  padding: 0 10px;
  display: flex;
  align-items: center;
}

.filter-bar .select2-search--inline input {
  margin: 0;
}

.filter-bar .select2-search__field {
  padding: 0;
  margin: 0 !important;
  height: 32px;
  width: 100%;
}

.filter-bar .select2-search__field::placeholder {
  color: #999999; /* Color following UI-Kit */
}

.filter-bar .select2-selection__rendered {
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
}

.filter-bar .select2-selection__choice {
  display: inline-flex;
  align-items: center;
  margin: 2px;
}

.filter-bar .select2-selection__choice__remove {
  display: flex;
  align-items: center;
}

.hidden-label {
  display: none;
}

/* RFC navigation */

#rfc-page-nav select {
  color: var(--color-text);
}

/* Tree visualization */

.container {
  padding: 2em;
  background-color: var(--color-gray-lightest);
  border-radius: var(--border-radius-large);
  width: 100%;
  height: 100%;
  position: relative;
}

.loading-overlay {
  background-color: var(--color-white);
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  opacity: 0.6;
  border-radius: var(--border-radius-large);
}

.mobile-placeholder {
  font-style: italic;
  color: var(--color-gray);
}

.legend {
  display: flex;
  justify-content: space-between;
  margin-bottom: 2em;
  font-size: smaller;
}

.legend-items {
  display: flex;
}

.display {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
}

.visuals {
  width: 100%;
  position: relative;
}

.graph {
  width: 100%;
  height: 100%;
}

.legend-item {
  margin-right: 1em;
}

.legend-item:last-child {
  margin-right: 0;
}

.legend-item:before {
  font-family: FontAwesome;
  content: "\f0c8";
  padding-right: 0.5em;
}

.legend-item.release:before {
  color: var(--color-release);
}

.legend-item.draft:before {
  color: var(--color-draft);
}

.legend-item.proposal:before {
  color: var(--color-proposal);
}

.legend-help {
  color: var(--color-gray);
  font-style: italic;
}

.tooltips {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  pointer-events: none;
}

.link .link-bg {
  stroke: var(--color-gray-lightest);
}

.link .link-fg {
  opacity: var(--link-inactive);
  stroke: var(--color-link);
}

.link.active .link-fg {
  opacity: var(--link-active);
}

.node-bg {
  fill: var(--color-gray-lightest);
}

.node .node-fg {
  opacity: var(--node-inactive);
}

.node.dependency .node-fg {
  opacity: var(--node-dependency);
}

.node.dependant .node-fg {
  opacity: var(--node-dependant);
}

.node.active .node-fg,
.node.selected .node-fg {
  opacity: 100%;
  cursor: pointer;
}

.node.release .node-fg {
  fill: var(--color-release);
}

.node.draft .node-fg {
  fill: var(--color-draft);
}

.node.proposal {
  fill: var(--color-proposal);
}

.node .label {
  fill: var(--color-white);
  font-size: 8px;
  pointer-events: none;
  font-family: monospace;
}

.tooltip {
  position: absolute;
  font-size: 12px;
  font-family: sans-serif;
  padding: 0.2em 0.3em;
  border-radius: var(--border-radius);
  color: var(--color-black);
  background-color: var(--color-white);
  /* opacity: 0.8; */
  width: 30px;
  pointer-events: auto;
  -webkit-filter: drop-shadow(0px 2px 2px rgba(130, 130, 130, 1));
  filter: drop-shadow(0px 2px 2px rgba(130, 130, 130, 1));
  -ms-filter: "progid:DXImageTransform.Microsoft.Dropshadow(OffX=0, OffY=2, Color='#444')";
  filter: "progid:DXImageTransform.Microsoft.Dropshadow(OffX=0, OffY=2, Color='#444')";
}

.tooltip.extended {
  width: 150px;
  z-index: 100;
}

.tooltip-arrow {
  width: 0;
  height: 0;
  position: absolute;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
}

.tooltip-arrow-up {
  border-bottom: 5px solid var(--color-white);
}

.tooltip-arrow-down {
  border-top: 5px solid var(--color-white);
}

/* Single view */

.dep-item {
  display: flex;
}

.dep-item .legend-item {
  margin-right: 0;
}
